from flask import Flask, request
import json

app = Flask(__name__)

@app.route('/example/get', methods=['GET'])
def example_get():
    data_value = request.args.get("data")
    data_value2 = request.args.get("data_2", "Default")
    response = {"data": f'{data_value} {data_value2}'}

    return json.dumps(response), 200

@app.route('/example/<get>/<data_value>', methods=['GET'])
def example_get_2(get, data_value):
    response = {"data": data_value}

    return json.dumps(response), 200

@app.route('/example/post', methods=['POST'])
def example_post():
    data = request.get_json()
    response = {"data": data["data"]}

    return json.dumps(response), 200

if __name__ == '__main__':
    app.run(host="0.0.0.0", port=5000, debug=True)